output(t) c:\res\stockreg\japan\p1b
'
' This EViews program creates portfolios out of Japanese stocks and estimates delta,
' then computes tests of market integration.
'
' Twenty sorted portfolios of 18 stocks each are used in three two different sets
' (random/industry/size).
'
' The tests are conducted for 25 samples: 5 years x 5 years.
'
' Each portfolio has one intercept but no market factor.
'
' This perturbation of p1a removes the market factors.
'
' Load the data set
'
load \res\stockreg\japan\data2a1
'
' Create the regressand and regressor
'
sort portn date
smpl if (portn(+1)=portn(-1))and(year(+1)=year(-1))
genr lhs=port(+1)/port(-1)
genr rhs=port/port(-1)
genr lhsi=pori(+1)/pori(-1)
genr rhsi=pori/pori(-1)
genr lhss=pors(+1)/pors(-1)
genr rhss=pors/pors(-1)
smpl @all
'
' Create the portfolio-specific variables: intercepts
'
genr f01=(portn=01)
genr f02=(portn=02)
genr f03=(portn=03)
genr f04=(portn=04)
genr f05=(portn=05)
genr f06=(portn=06)
genr f07=(portn=07)
genr f08=(portn=08)
genr f09=(portn=09)
genr f10=(portn=10)
genr f11=(portn=11)
genr f12=(portn=12)
genr f13=(portn=13)
genr f14=(portn=14)
genr f15=(portn=15)
genr f16=(portn=16)
genr f17=(portn=17)
genr f18=(portn=18)
genr f19=(portn=19)
genr f20=(portn=20)
'
' Set up a table for results
'
table(17,16) results
setcell(results,1,1, "Log Likelihoods from p1b: intercepts only model")
results(2,2) = "4: 1st"
results(2,3) = "4: 2nd"
results(2,4) = "4: bth"
results(2,5) = "5: 1st"
results(2,6) = "5: 2nd"
results(2,7) = "5: bth"
results(2,8) = "6: 1st"
results(2,9) = "6: 2nd"
results(2,10) = "6: bth"
results(2,11) = "7: 1st"
results(2,12) = "7: 2nd"
results(2,13) = "7: bth"
results(2,14) = "8: 1st"
results(2,15) = "8: 2nd"
results(2,16) = "8: bth"
results(3,1) = "1998, Ind"
results(4,1) = "1999, Ind"
results(5,1) = "2000, Ind"
results(6,1) = "2001, Ind"
results(7,1) = "2002, Ind"
results(13,1) = "1998, Siz"
results(14,1) = "1999, Siz"
results(15,1) = "2000, Siz"
results(16,1) = "2001, Siz"
results(17,1) = "2002, Siz"
results(23,1) = "1998, Rndm"
results(24,1) = "1999, Rndm"
results(25,1) = "2000, Rndm"
results(26,1) = "2001, Rndm"
results(27,1) = "2002, Rndm"
'
' Run the regressions and record the log-likelihoods
'
' Industry-based Portfolios First
'
' The year is 1998 and the month is 4
'
' Note that we lose 1 observation (first of year)
'
smpl @all
genr t02=(date=13971)
genr t03=(date=13972)
genr t04=(date=13975)
genr t05=(date=13976)
genr t06=(date=13977)
genr t07=(date=13978)
genr t08=(date=13979)
genr t09=(date=13982)
genr t10=(date=13983)
genr t11=(date=13984)
genr t12=(date=13985)
genr t13=(date=13986)
genr t14=(date=13989)
genr t15=(date=13990)
genr t16=(date=13991)
genr t17=(date=13992)
genr t18=(date=13993)
genr t19=(date=13996)
genr t20=(date=13997)
genr t21=(date=13999)
smpl if (portn<10.5)and((year=1998)and(month=4))
c=0
equation e1st.ls lhsi=((c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+rhsi)
scalar junk=e1st.@logl
results(3,2)=junk
delete junk
smpl if (portn>10.5)and((year=1998)and(month=4))
c=0
equation e2nd.ls lhsi=((c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhsi)
scalar junk=e2nd.@logl
results(3,3)=junk
delete junk
smpl if (year=1998)and(month=4)
c=0
equation ebth.ls lhsi=((c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+(c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhsi)
ebth.results(p)
scalar junk=ebth.@logl
results(3,4)=junk
delete junk
'
' The year is 1998 and the month is 5
'
smpl @all
genr t01=(date=14000)
genr t02=(date=14005)
genr t03=(date=14006)
genr t04=(date=14007)
genr t05=(date=14010)
genr t06=(date=14011)
genr t07=(date=14012)
genr t08=(date=14013)
genr t09=(date=14014)
genr t10=(date=14017)
genr t11=(date=14018)
genr t12=(date=14019)
genr t13=(date=14020)
genr t14=(date=14021)
genr t15=(date=14024)
genr t16=(date=14025)
genr t17=(date=14026)
genr t18=(date=14027)
genr t19=(date=14028)
smpl if (portn<10.5)and((year=1998)and(month=5))
c=0
equation e1st.ls lhsi=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+rhsi)
scalar junk=e1st.@logl
results(3,5)=junk
delete junk
smpl if (portn>10.5)and((year=1998)and(month=5))
c=0
equation e2nd.ls lhsi=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19))*((c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhsi)
scalar junk=e2nd.@logl
results(3,6)=junk
delete junk
smpl if (year=1998)and(month=5)
c=0
equation ebth.ls lhsi=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+(c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhsi)
ebth.results(p)
scalar junk=ebth.@logl
results(3,7)=junk
delete junk
'
' The year is 1998 and the month is 6
'
smpl @all
genr t01=(date=14031)
genr t02=(date=14032)
genr t03=(date=14033)
genr t04=(date=14034)
genr t05=(date=14035)
genr t06=(date=14038)
genr t07=(date=14039)
genr t08=(date=14040)
genr t09=(date=14041)
genr t10=(date=14042)
genr t11=(date=14045)
genr t12=(date=14046)
genr t13=(date=14047)
genr t14=(date=14048)
genr t15=(date=14049)
genr t16=(date=14052)
genr t17=(date=14053)
genr t18=(date=14054)
genr t19=(date=14055)
genr t20=(date=14056)
genr t21=(date=14059)
genr t22=(date=14060)
smpl if (portn<10.5)and((year=1998)and(month=6))
c=0
equation e1st.ls lhsi=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+rhsi)
scalar junk=e1st.@logl
results(3,8)=junk
delete junk
smpl if (portn>10.5)and((year=1998)and(month=6))
c=0
equation e2nd.ls lhsi=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22))*((c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhsi)
scalar junk=e2nd.@logl
results(3,9)=junk
delete junk
smpl if (year=1998)and(month=6)
c=0
equation ebth.ls lhsi=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+(c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhsi)
ebth.results(p)
scalar junk=ebth.@logl
results(3,10)=junk
delete junk
'
' The year is 1998 and the month is 7
'
smpl @all
genr t01=(date=14061)
genr t02=(date=14062)
genr t03=(date=14063)
genr t04=(date=14066)
genr t05=(date=14067)
genr t06=(date=14068)
genr t07=(date=14069)
genr t08=(date=14070)
genr t09=(date=14073)
genr t10=(date=14074)
genr t11=(date=14075)
genr t12=(date=14076)
genr t13=(date=14077)
genr t14=(date=14081)
genr t15=(date=14082)
genr t16=(date=14083)
genr t17=(date=14084)
genr t18=(date=14087)
genr t19=(date=14088)
genr t20=(date=14089)
genr t21=(date=14090)
genr t22=(date=14091)
smpl if (portn<10.5)and((year=1998)and(month=7))
c=0
equation e1st.ls lhsi=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+rhsi)
scalar junk=e1st.@logl
results(3,11)=junk
delete junk
smpl if (portn>10.5)and((year=1998)and(month=7))
c=0
equation e2nd.ls lhsi=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22))*((c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhsi)
scalar junk=e2nd.@logl
results(3,12)=junk
delete junk
smpl if (year=1998)and(month=7)
c=0
equation ebth.ls lhsi=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+(c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhsi)
ebth.results(p)
scalar junk=ebth.@logl
results(3,13)=junk
delete junk
'
' The year is 1998 and the month is 8
'
' Note that we lose 1 observation (last of year)
'
smpl @all
genr t01=(date=14094)
genr t02=(date=14095)
genr t03=(date=14096)
genr t04=(date=14097)
genr t05=(date=14098)
genr t06=(date=14101)
genr t07=(date=14102)
genr t08=(date=14103)
genr t09=(date=14104)
genr t10=(date=14105)
genr t11=(date=14108)
genr t12=(date=14109)
genr t13=(date=14110)
genr t14=(date=14111)
genr t15=(date=14112)
genr t16=(date=14115)
genr t17=(date=14116)
genr t18=(date=14117)
genr t19=(date=14118)
genr t20=(date=14119)
genr t21=(date=14122)
smpl if (portn<10.5)and((year=1998)and(month=8))and(date<14122.5)
c=0
equation e1st.ls lhsi=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+rhsi)
scalar junk=e1st.@logl
results(3,14)=junk
delete junk
smpl if (portn>10.5)and((year=1998)and(month=8))and(date<14122.5)
c=0
equation e2nd.ls lhsi=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20))*((c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhsi)
scalar junk=e2nd.@logl
results(3,15)=junk
delete junk
smpl if (year=1998)and(month=8)and(date<14122.5)
c=0
equation ebth.ls lhsi=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+(c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhsi)
ebth.results(p)
scalar junk=ebth.@logl
results(3,16)=junk
delete junk
'
' The year is 1999 and the month is 4
'
' Note that we lose 1 observation (first of year)
'
smpl @all
genr t02=(date=14336)
genr t03=(date=14339)
genr t04=(date=14340)
genr t05=(date=14341)
genr t06=(date=14342)
genr t07=(date=14343)
genr t08=(date=14346)
genr t09=(date=14347)
genr t10=(date=14348)
genr t11=(date=14349)
genr t12=(date=14350)
genr t13=(date=14353)
genr t14=(date=14354)
genr t15=(date=14355)
genr t16=(date=14356)
genr t17=(date=14357)
genr t18=(date=14360)
genr t19=(date=14361)
genr t20=(date=14362)
genr t21=(date=14364)
smpl if (portn<10.5)and((year=1999)and(month=4))
c=0
equation e1st.ls lhsi=((c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+rhsi)
scalar junk=e1st.@logl
results(4,2)=junk
delete junk
smpl if (portn>10.5)and((year=1999)and(month=4))
c=0
equation e2nd.ls lhsi=((c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhsi)
scalar junk=e2nd.@logl
results(4,3)=junk
delete junk
smpl if (year=1999)and(month=4)
c=0
equation ebth.ls lhsi=((c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+(c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhsi)
ebth.results(p)
scalar junk=ebth.@logl
results(4,4)=junk
delete junk
'
' The year is 1999 and the month is 5
'
smpl @all
genr t01=(date=14370)
genr t02=(date=14371)
genr t03=(date=14374)
genr t04=(date=14375)
genr t05=(date=14376)
genr t06=(date=14377)
genr t07=(date=14378)
genr t08=(date=14381)
genr t09=(date=14382)
genr t10=(date=14383)
genr t11=(date=14384)
genr t12=(date=14385)
genr t13=(date=14388)
genr t14=(date=14389)
genr t15=(date=14390)
genr t16=(date=14391)
genr t17=(date=14392)
genr t18=(date=14395)
smpl if (portn<10.5)and((year=1999)and(month=5))
c=0
equation e1st.ls lhsi=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+rhsi)
scalar junk=e1st.@logl
results(4,5)=junk
delete junk
smpl if (portn>10.5)and((year=1999)and(month=5))
c=0
equation e2nd.ls lhsi=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18))*((c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhsi)
scalar junk=e2nd.@logl
results(4,6)=junk
delete junk
smpl if (year=1999)and(month=5)
c=0
equation ebth.ls lhsi=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+(c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhsi)
ebth.results(p)
scalar junk=ebth.@logl
results(4,7)=junk
delete junk
'
' The year is 1999 and the month is 6
'
smpl @all
genr t01=(date=14396)
genr t02=(date=14397)
genr t03=(date=14398)
genr t04=(date=14399)
genr t05=(date=14402)
genr t06=(date=14403)
genr t07=(date=14404)
genr t08=(date=14405)
genr t09=(date=14406)
genr t10=(date=14409)
genr t11=(date=14410)
genr t12=(date=14411)
genr t13=(date=14412)
genr t14=(date=14413)
genr t15=(date=14416)
genr t16=(date=14417)
genr t17=(date=14418)
genr t18=(date=14419)
genr t19=(date=14420)
genr t20=(date=14423)
genr t21=(date=14424)
genr t22=(date=14425)
smpl if (portn<10.5)and((year=1999)and(month=6))
c=0
equation e1st.ls lhsi=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+rhsi)
scalar junk=e1st.@logl
results(4,8)=junk
delete junk
smpl if (portn>10.5)and((year=1999)and(month=6))
c=0
equation e2nd.ls lhsi=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22))*((c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhsi)
scalar junk=e2nd.@logl
results(4,9)=junk
delete junk
smpl if (year=1999)and(month=6)
c=0
equation ebth.ls lhsi=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+(c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhsi)
ebth.results(p)
scalar junk=ebth.@logl
results(4,10)=junk
delete junk
'
' The year is 1999 and the month is 7
'
smpl @all
genr t01=(date=14426)
genr t02=(date=14427)
genr t03=(date=14430)
genr t04=(date=14431)
genr t05=(date=14432)
genr t06=(date=14433)
genr t07=(date=14434)
genr t08=(date=14437)
genr t09=(date=14438)
genr t10=(date=14439)
genr t11=(date=14440)
genr t12=(date=14441)
genr t13=(date=14444)
genr t14=(date=14446)
genr t15=(date=14447)
genr t16=(date=14448)
genr t17=(date=14451)
genr t18=(date=14452)
genr t19=(date=14453)
genr t20=(date=14454)
genr t21=(date=14455)
smpl if (portn<10.5)and((year=1999)and(month=7))
c=0
equation e1st.ls lhsi=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+rhsi)
scalar junk=e1st.@logl
results(4,11)=junk
delete junk
smpl if (portn>10.5)and((year=1999)and(month=7))
c=0
equation e2nd.ls lhsi=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhsi)
scalar junk=e2nd.@logl
results(4,12)=junk
delete junk
smpl if (year=1999)and(month=7)
c=0
equation ebth.ls lhsi=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+(c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhsi)
ebth.results(p)
scalar junk=ebth.@logl
results(4,13)=junk
delete junk
'
' The year is 1999 and the month is 8
'
' Note that we lose 1 observation (last of year)
'
smpl @all
genr t01=(date=14458)
genr t02=(date=14459)
genr t03=(date=14460)
genr t04=(date=14461)
genr t05=(date=14462)
genr t06=(date=14465)
genr t07=(date=14466)
genr t08=(date=14467)
genr t09=(date=14468)
genr t10=(date=14469)
genr t11=(date=14472)
genr t12=(date=14473)
genr t13=(date=14474)
genr t14=(date=14475)
genr t15=(date=14476)
genr t16=(date=14479)
genr t17=(date=14480)
genr t18=(date=14481)
genr t19=(date=14482)
genr t20=(date=14483)
genr t21=(date=14486)
smpl if (portn<10.5)and((year=1999)and(month=8))and(date<14486.5)
c=0
equation e1st.ls lhsi=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+rhsi)
scalar junk=e1st.@logl
results(4,14)=junk
delete junk
smpl if (portn>10.5)and((year=1999)and(month=8))and(date<14486.5)
c=0
equation e2nd.ls lhsi=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhsi)
scalar junk=e2nd.@logl
results(4,15)=junk
delete junk
smpl if (year=1999)and(month=8)and(date<14486.5)
c=0
equation ebth.ls lhsi=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+(c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhsi)
ebth.results(p)
scalar junk=ebth.@logl
results(4,16)=junk
delete junk
'
' The year is 2000 and the month is 4
'
' Note that we lose 1 observation (first of year)
'
smpl @all
genr t02=(date=14704)
genr t03=(date=14705)
genr t04=(date=14706)
genr t05=(date=14707)
genr t06=(date=14710)
genr t07=(date=14711)
genr t08=(date=14712)
genr t09=(date=14713)
genr t10=(date=14714)
genr t11=(date=14717)
genr t12=(date=14718)
genr t13=(date=14719)
genr t14=(date=14720)
genr t15=(date=14721)
genr t16=(date=14724)
genr t17=(date=14725)
genr t18=(date=14726)
genr t19=(date=14727)
genr t20=(date=14728)
smpl if (portn<10.5)and((year=2000)and(month=4))
c=0
equation e1st.ls lhsi=((c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+rhsi)
scalar junk=e1st.@logl
results(5,2)=junk
delete junk
smpl if (portn>10.5)and((year=2000)and(month=4))
c=0
equation e2nd.ls lhsi=((c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20))*((c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhsi)
scalar junk=e2nd.@logl
results(5,3)=junk
delete junk
smpl if (year=2000)and(month=4)
c=0
equation ebth.ls lhsi=((c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+(c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhsi)
ebth.results(p)
scalar junk=ebth.@logl
results(5,4)=junk
delete junk
'
' The year is 2000 and the month is 5
'
smpl @all
genr t01=(date=14731)
genr t02=(date=14732)
genr t03=(date=14738)
genr t04=(date=14739)
genr t05=(date=14740)
genr t06=(date=14741)
genr t07=(date=14742)
genr t08=(date=14745)
genr t09=(date=14746)
genr t10=(date=14747)
genr t11=(date=14748)
genr t12=(date=14749)
genr t13=(date=14752)
genr t14=(date=14753)
genr t15=(date=14754)
genr t16=(date=14755)
genr t17=(date=14756)
genr t18=(date=14759)
genr t19=(date=14760)
genr t20=(date=14761)
smpl if (portn<10.5)and((year=2000)and(month=5))
c=0
equation e1st.ls lhsi=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+rhsi)
scalar junk=e1st.@logl
results(5,5)=junk
delete junk
smpl if (portn>10.5)and((year=2000)and(month=5))
c=0
equation e2nd.ls lhsi=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20))*((c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhsi)
scalar junk=e2nd.@logl
results(5,6)=junk
delete junk
smpl if (year=2000)and(month=5)
c=0
equation ebth.ls lhsi=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+(c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhsi)
ebth.results(p)
scalar junk=ebth.@logl
results(5,7)=junk
delete junk
'
' The year is 2000 and the month is 6
'
smpl @all
genr t01=(date=14762)
genr t02=(date=14763)
genr t03=(date=14766)
genr t04=(date=14767)
genr t05=(date=14768)
genr t06=(date=14769)
genr t07=(date=14770)
genr t08=(date=14773)
genr t09=(date=14774)
genr t10=(date=14775)
genr t11=(date=14776)
genr t12=(date=14777)
genr t13=(date=14780)
genr t14=(date=14781)
genr t15=(date=14782)
genr t16=(date=14783)
genr t17=(date=14784)
genr t18=(date=14787)
genr t19=(date=14788)
genr t20=(date=14789)
genr t21=(date=14790)
genr t22=(date=14791)
smpl if (portn<10.5)and((year=2000)and(month=6))
c=0
equation e1st.ls lhsi=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+rhsi)
scalar junk=e1st.@logl
results(5,8)=junk
delete junk
smpl if (portn>10.5)and((year=2000)and(month=6))
c=0
equation e2nd.ls lhsi=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22))*((c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhsi)
scalar junk=e2nd.@logl
results(5,9)=junk
delete junk
smpl if (year=2000)and(month=6)
c=0
equation ebth.ls lhsi=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+(c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhsi)
ebth.results(p)
scalar junk=ebth.@logl
results(5,10)=junk
delete junk
'
' The year is 2000 and the month is 7
'
smpl @all
genr t01=(date=14794)
genr t02=(date=14795)
genr t03=(date=14796)
genr t04=(date=14797)
genr t05=(date=14798)
genr t06=(date=14801)
genr t07=(date=14802)
genr t08=(date=14803)
genr t09=(date=14804)
genr t10=(date=14805)
genr t11=(date=14808)
genr t12=(date=14809)
genr t13=(date=14810)
genr t14=(date=14812)
genr t15=(date=14815)
genr t16=(date=14816)
genr t17=(date=14817)
genr t18=(date=14818)
genr t19=(date=14819)
genr t20=(date=14822)
smpl if (portn<10.5)and((year=2000)and(month=7))
c=0
equation e1st.ls lhsi=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+rhsi)
scalar junk=e1st.@logl
results(5,11)=junk
delete junk
smpl if (portn>10.5)and((year=2000)and(month=7))
c=0
equation e2nd.ls lhsi=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20))*((c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhsi)
scalar junk=e2nd.@logl
results(5,12)=junk
delete junk
smpl if (year=2000)and(month=7)
c=0
equation ebth.ls lhsi=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+(c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhsi)
ebth.results(p)
scalar junk=ebth.@logl
results(5,13)=junk
delete junk
'
' The year is 2000 and the month is 8
'
' Note that we lose 1 observation (last of year)
'
smpl @all
genr t01=(date=14823)
genr t02=(date=14824)
genr t03=(date=14825)
genr t04=(date=14826)
genr t05=(date=14829)
genr t06=(date=14830)
genr t07=(date=14831)
genr t08=(date=14832)
genr t09=(date=14833)
genr t10=(date=14836)
genr t11=(date=14837)
genr t12=(date=14838)
genr t13=(date=14839)
genr t14=(date=14840)
genr t15=(date=14843)
genr t16=(date=14844)
genr t17=(date=14845)
genr t18=(date=14846)
genr t19=(date=14847)
genr t20=(date=14850)
genr t21=(date=14851)
genr t22=(date=14852)
smpl if (portn<10.5)and((year=2000)and(month=8))and(date<14852.5)
c=0
equation e1st.ls lhsi=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+rhsi)
scalar junk=e1st.@logl
results(5,14)=junk
delete junk
smpl if (portn>10.5)and((year=2000)and(month=8))and(date<14852.5)
c=0
equation e2nd.ls lhsi=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22))*((c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhsi)
scalar junk=e2nd.@logl
results(5,15)=junk
delete junk
smpl if (year=2000)and(month=8)and(date<14852.5)
c=0
equation ebth.ls lhsi=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+(c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhsi)
ebth.results(p)
scalar junk=ebth.@logl
results(5,16)=junk
delete junk
'
' The year is 2001 and the month is 4
'
' Note that we lose 1 observation (first of year)
'
smpl @all
genr t02=(date=15068)
genr t03=(date=15069)
genr t04=(date=15070)
genr t05=(date=15071)
genr t06=(date=15074)
genr t07=(date=15075)
genr t08=(date=15076)
genr t09=(date=15077)
genr t10=(date=15078)
genr t11=(date=15081)
genr t12=(date=15082)
genr t13=(date=15083)
genr t14=(date=15084)
genr t15=(date=15085)
genr t16=(date=15088)
genr t17=(date=15089)
genr t18=(date=15090)
genr t19=(date=15091)
genr t20=(date=15092)
smpl if (portn<10.5)and((year=2001)and(month=4))
c=0
equation e1st.ls lhsi=((c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+rhsi)
scalar junk=e1st.@logl
results(6,2)=junk
delete junk
smpl if (portn>10.5)and((year=2001)and(month=4))
c=0
equation e2nd.ls lhsi=((c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20))*((c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhsi)
scalar junk=e2nd.@logl
results(6,3)=junk
delete junk
smpl if (year=2001)and(month=4)
c=0
equation ebth.ls lhsi=((c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+(c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhsi)
ebth.results(p)
scalar junk=ebth.@logl
results(6,4)=junk
delete junk
'
' The year is 2001 and the month is 5
'
smpl @all
genr t01=(date=15096)
genr t02=(date=15097)
genr t03=(date=15102)
genr t04=(date=15103)
genr t05=(date=15104)
genr t06=(date=15105)
genr t07=(date=15106)
genr t08=(date=15109)
genr t09=(date=15110)
genr t10=(date=15111)
genr t11=(date=15112)
genr t12=(date=15113)
genr t13=(date=15116)
genr t14=(date=15117)
genr t15=(date=15118)
genr t16=(date=15119)
genr t17=(date=15120)
genr t18=(date=15123)
genr t19=(date=15124)
genr t20=(date=15125)
genr t21=(date=15126)
smpl if (portn<10.5)and((year=2001)and(month=5))
c=0
equation e1st.ls lhsi=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+rhsi)
scalar junk=e1st.@logl
results(6,5)=junk
delete junk
smpl if (portn>10.5)and((year=2001)and(month=5))
c=0
equation e2nd.ls lhsi=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhsi)
scalar junk=e2nd.@logl
results(6,6)=junk
delete junk
smpl if (year=2001)and(month=5)
c=0
equation ebth.ls lhsi=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+(c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhsi)
ebth.results(p)
scalar junk=ebth.@logl
results(6,7)=junk
delete junk
'
' The year is 2001 and the month is 6
'
smpl @all
genr t01=(date=15127)
genr t02=(date=15130)
genr t03=(date=15131)
genr t04=(date=15132)
genr t05=(date=15133)
genr t06=(date=15134)
genr t07=(date=15137)
genr t08=(date=15138)
genr t09=(date=15139)
genr t10=(date=15140)
genr t11=(date=15141)
genr t12=(date=15144)
genr t13=(date=15145)
genr t14=(date=15146)
genr t15=(date=15147)
genr t16=(date=15148)
genr t17=(date=15151)
genr t18=(date=15152)
genr t19=(date=15153)
genr t20=(date=15154)
genr t21=(date=15155)
smpl if (portn<10.5)and((year=2001)and(month=6))
c=0
equation e1st.ls lhsi=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+rhsi)
scalar junk=e1st.@logl
results(6,8)=junk
delete junk
smpl if (portn>10.5)and((year=2001)and(month=6))
c=0
equation e2nd.ls lhsi=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhsi)
scalar junk=e2nd.@logl
results(6,9)=junk
delete junk
smpl if (year=2001)and(month=6)
c=0
equation ebth.ls lhsi=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+(c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhsi)
ebth.results(p)
scalar junk=ebth.@logl
results(6,10)=junk
delete junk
'
' The year is 2001 and the month is 7
'
smpl @all
genr t01=(date=15158)
genr t02=(date=15159)
genr t03=(date=15160)
genr t04=(date=15161)
genr t05=(date=15162)
genr t06=(date=15165)
genr t07=(date=15166)
genr t08=(date=15167)
genr t09=(date=15168)
genr t10=(date=15169)
genr t11=(date=15172)
genr t12=(date=15173)
genr t13=(date=15174)
genr t14=(date=15175)
genr t15=(date=15179)
genr t16=(date=15180)
genr t17=(date=15181)
genr t18=(date=15182)
genr t19=(date=15183)
genr t20=(date=15186)
genr t21=(date=15187)
smpl if (portn<10.5)and((year=2001)and(month=7))
c=0
equation e1st.ls lhsi=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+rhsi)
scalar junk=e1st.@logl
results(6,11)=junk
delete junk
smpl if (portn>10.5)and((year=2001)and(month=7))
c=0
equation e2nd.ls lhsi=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhsi)
scalar junk=e2nd.@logl
results(6,12)=junk
delete junk
smpl if (year=2001)and(month=7)
c=0
equation ebth.ls lhsi=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+(c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhsi)
ebth.results(p)
scalar junk=ebth.@logl
results(6,13)=junk
delete junk
'
' The year is 2001 and the month is 8
'
' Note that we lose 1 observation (last of year)
'
smpl @all
genr t01=(date=15188)
genr t02=(date=15189)
genr t03=(date=15190)
genr t04=(date=15193)
genr t05=(date=15194)
genr t06=(date=15195)
genr t07=(date=15196)
genr t08=(date=15197)
genr t09=(date=15200)
genr t10=(date=15201)
genr t11=(date=15202)
genr t12=(date=15203)
genr t13=(date=15204)
genr t14=(date=15207)
genr t15=(date=15208)
genr t16=(date=15209)
genr t17=(date=15210)
genr t18=(date=15211)
genr t19=(date=15214)
genr t20=(date=15215)
genr t21=(date=15216)
genr t22=(date=15217)
smpl if (portn<10.5)and((year=2001)and(month=8))and(date<15217.5)
c=0
equation e1st.ls lhsi=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+rhsi)
scalar junk=e1st.@logl
results(6,14)=junk
delete junk
smpl if (portn>10.5)and((year=2001)and(month=8))and(date<15217.5)
c=0
equation e2nd.ls lhsi=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22))*((c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhsi)
scalar junk=e2nd.@logl
results(6,15)=junk
delete junk
smpl if (year=2001)and(month=8)and(date<15217.5)
c=0
equation ebth.ls lhsi=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+(c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhsi)
ebth.results(p)
scalar junk=ebth.@logl
results(6,16)=junk
delete junk
'
' The year is 2002 and the month is 4
'
' Note that we lose 1 observation (first of year)
'
smpl @all
genr t02=(date=15432)
genr t03=(date=15433)
genr t04=(date=15434)
genr t05=(date=15435)
genr t06=(date=15438)
genr t07=(date=15439)
genr t08=(date=15440)
genr t09=(date=15441)
genr t10=(date=15442)
genr t11=(date=15445)
genr t12=(date=15446)
genr t13=(date=15447)
genr t14=(date=15448)
genr t15=(date=15449)
genr t16=(date=15452)
genr t17=(date=15453)
genr t18=(date=15454)
genr t19=(date=15455)
genr t20=(date=15456)
genr t21=(date=15460)
smpl if (portn<10.5)and((year=2002)and(month=4))
c=0
equation e1st.ls lhsi=((c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+rhsi)
scalar junk=e1st.@logl
results(7,2)=junk
delete junk
smpl if (portn>10.5)and((year=2002)and(month=4))
c=0
equation e2nd.ls lhsi=((c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhsi)
scalar junk=e2nd.@logl
results(7,3)=junk
delete junk
smpl if (year=2002)and(month=4)
c=0
equation ebth.ls lhsi=((c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+(c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhsi)
ebth.results(p)
scalar junk=ebth.@logl
results(7,4)=junk
delete junk
'
' The year is 2002 and the month is 5
'
smpl @all
genr t01=(date=15461)
genr t02=(date=15462)
genr t03=(date=15467)
genr t04=(date=15468)
genr t05=(date=15469)
genr t06=(date=15470)
genr t07=(date=15473)
genr t08=(date=15474)
genr t09=(date=15475)
genr t10=(date=15476)
genr t11=(date=15477)
genr t12=(date=15480)
genr t13=(date=15481)
genr t14=(date=15482)
genr t15=(date=15483)
genr t16=(date=15484)
genr t17=(date=15487)
genr t18=(date=15488)
genr t19=(date=15489)
genr t20=(date=15490)
genr t21=(date=15491)
smpl if (portn<10.5)and((year=2002)and(month=5))
c=0
equation e1st.ls lhsi=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+rhsi)
scalar junk=e1st.@logl
results(7,5)=junk
delete junk
smpl if (portn>10.5)and((year=2002)and(month=5))
c=0
equation e2nd.ls lhsi=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhsi)
scalar junk=e2nd.@logl
results(7,6)=junk
delete junk
smpl if (year=2002)and(month=5)
c=0
equation ebth.ls lhsi=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+(c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhsi)
ebth.results(p)
scalar junk=ebth.@logl
results(7,7)=junk
delete junk
'
' The year is 2002 and the month is 6
'
smpl @all
genr t01=(date=15494)
genr t02=(date=15495)
genr t03=(date=15496)
genr t04=(date=15497)
genr t05=(date=15498)
genr t06=(date=15501)
genr t07=(date=15502)
genr t08=(date=15503)
genr t09=(date=15504)
genr t10=(date=15505)
genr t11=(date=15508)
genr t12=(date=15509)
genr t13=(date=15510)
genr t14=(date=15511)
genr t15=(date=15512)
genr t16=(date=15515)
genr t17=(date=15516)
genr t18=(date=15517)
genr t19=(date=15518)
genr t20=(date=15519)
smpl if (portn<10.5)and((year=2002)and(month=6))
c=0
equation e1st.ls lhsi=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+rhsi)
scalar junk=e1st.@logl
results(7,8)=junk
delete junk
smpl if (portn>10.5)and((year=2002)and(month=6))
c=0
equation e2nd.ls lhsi=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20))*((c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhsi)
scalar junk=e2nd.@logl
results(7,9)=junk
delete junk
smpl if (year=2002)and(month=6)
c=0
equation ebth.ls lhsi=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+(c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhsi)
ebth.results(p)
scalar junk=ebth.@logl
results(7,10)=junk
delete junk
'
' The year is 2002 and the month is 7
'
smpl @all
genr t01=(date=15522)
genr t02=(date=15523)
genr t03=(date=15524)
genr t04=(date=15525)
genr t05=(date=15526)
genr t06=(date=15529)
genr t07=(date=15530)
genr t08=(date=15531)
genr t09=(date=15532)
genr t10=(date=15533)
genr t11=(date=15536)
genr t12=(date=15537)
genr t13=(date=15538)
genr t14=(date=15539)
genr t15=(date=15540)
genr t16=(date=15543)
genr t17=(date=15544)
genr t18=(date=15545)
genr t19=(date=15546)
genr t20=(date=15547)
genr t21=(date=15550)
genr t22=(date=15551)
genr t23=(date=15552)
smpl if (portn<10.5)and((year=2002)and(month=7))
c=0
equation e1st.ls lhsi=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+rhsi)
scalar junk=e1st.@logl
results(7,11)=junk
delete junk
smpl if (portn>10.5)and((year=2002)and(month=7))
c=0
equation e2nd.ls lhsi=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23))*((c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhsi)
scalar junk=e2nd.@logl
results(7,12)=junk
delete junk
smpl if (year=2002)and(month=7)
c=0
equation ebth.ls lhsi=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+(c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhsi)
ebth.results(p)
scalar junk=ebth.@logl
results(7,13)=junk
delete junk
'
' The year is 2002 and the month is 8
'
' Note that we lose 1 observation (last of year)
'
smpl @all
genr t01=(date=15553)
genr t02=(date=15554)
genr t03=(date=15557)
genr t04=(date=15558)
genr t05=(date=15559)
genr t06=(date=15560)
genr t07=(date=15561)
genr t08=(date=15564)
genr t09=(date=15565)
genr t10=(date=15566)
genr t11=(date=15567)
genr t12=(date=15568)
genr t13=(date=15571)
genr t14=(date=15572)
genr t15=(date=15573)
genr t16=(date=15574)
genr t17=(date=15575)
genr t18=(date=15578)
genr t19=(date=15579)
genr t20=(date=15580)
genr t21=(date=15581)
smpl if (portn<10.5)and((year=2002)and(month=8))and(date<15581.5)
c=0
equation e1st.ls lhsi=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+rhsi)
scalar junk=e1st.@logl
results(7,14)=junk
delete junk
smpl if (portn>10.5)and((year=2002)and(month=8))and(date<15581.5)
c=0
equation e2nd.ls lhsi=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhsi)
scalar junk=e2nd.@logl
results(7,15)=junk
delete junk
smpl if (year=2002)and(month=8)and(date<15581.5)
c=0
equation ebth.ls lhsi=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+(c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhsi)
ebth.results(p)
scalar junk=ebth.@logl
results(7,16)=junk
delete junk
'
' Size-based Portfolios Second
'
' The year is 1998 and the month is 4
'
' Note that we lose 1 observation (first of year)
'
smpl @all
genr t02=(date=13971)
genr t03=(date=13972)
genr t04=(date=13975)
genr t05=(date=13976)
genr t06=(date=13977)
genr t07=(date=13978)
genr t08=(date=13979)
genr t09=(date=13982)
genr t10=(date=13983)
genr t11=(date=13984)
genr t12=(date=13985)
genr t13=(date=13986)
genr t14=(date=13989)
genr t15=(date=13990)
genr t16=(date=13991)
genr t17=(date=13992)
genr t18=(date=13993)
genr t19=(date=13996)
genr t20=(date=13997)
genr t21=(date=13999)
smpl if (portn<10.5)and((year=1998)and(month=4))
c=0
equation e1st.ls lhss=((c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+rhss)
scalar junk=e1st.@logl
results(13,2)=junk
delete junk
smpl if (portn>10.5)and((year=1998)and(month=4))
c=0
equation e2nd.ls lhss=((c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhss)
scalar junk=e2nd.@logl
results(13,3)=junk
delete junk
smpl if (year=1998)and(month=4)
c=0
equation ebth.ls lhss=((c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+(c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhss)
ebth.results(1p)
scalar junk=ebth.@logl
results(13,4)=junk
delete junk
'
' The year is 1998 and the month is 5
'
smpl @all
genr t01=(date=14000)
genr t02=(date=14005)
genr t03=(date=14006)
genr t04=(date=14007)
genr t05=(date=14010)
genr t06=(date=14011)
genr t07=(date=14012)
genr t08=(date=14013)
genr t09=(date=14014)
genr t10=(date=14017)
genr t11=(date=14018)
genr t12=(date=14019)
genr t13=(date=14020)
genr t14=(date=14021)
genr t15=(date=14024)
genr t16=(date=14025)
genr t17=(date=14026)
genr t18=(date=14027)
genr t19=(date=14028)
smpl if (portn<10.5)and((year=1998)and(month=5))
c=0
equation e1st.ls lhss=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+rhss)
scalar junk=e1st.@logl
results(13,5)=junk
delete junk
smpl if (portn>10.5)and((year=1998)and(month=5))
c=0
equation e2nd.ls lhss=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19))*((c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhss)
scalar junk=e2nd.@logl
results(13,6)=junk
delete junk
smpl if (year=1998)and(month=5)
c=0
equation ebth.ls lhss=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+(c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhss)
ebth.results(1p)
scalar junk=ebth.@logl
results(13,7)=junk
delete junk
'
' The year is 1998 and the month is 6
'
smpl @all
genr t01=(date=14031)
genr t02=(date=14032)
genr t03=(date=14033)
genr t04=(date=14034)
genr t05=(date=14035)
genr t06=(date=14038)
genr t07=(date=14039)
genr t08=(date=14040)
genr t09=(date=14041)
genr t10=(date=14042)
genr t11=(date=14045)
genr t12=(date=14046)
genr t13=(date=14047)
genr t14=(date=14048)
genr t15=(date=14049)
genr t16=(date=14052)
genr t17=(date=14053)
genr t18=(date=14054)
genr t19=(date=14055)
genr t20=(date=14056)
genr t21=(date=14059)
genr t22=(date=14060)
smpl if (portn<10.5)and((year=1998)and(month=6))
c=0
equation e1st.ls lhss=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+rhss)
scalar junk=e1st.@logl
results(13,8)=junk
delete junk
smpl if (portn>10.5)and((year=1998)and(month=6))
c=0
equation e2nd.ls lhss=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22))*((c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhss)
scalar junk=e2nd.@logl
results(13,9)=junk
delete junk
smpl if (year=1998)and(month=6)
c=0
equation ebth.ls lhss=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+(c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhss)
ebth.results(1p)
scalar junk=ebth.@logl
results(13,10)=junk
delete junk
'
' The year is 1998 and the month is 7
'
smpl @all
genr t01=(date=14061)
genr t02=(date=14062)
genr t03=(date=14063)
genr t04=(date=14066)
genr t05=(date=14067)
genr t06=(date=14068)
genr t07=(date=14069)
genr t08=(date=14070)
genr t09=(date=14073)
genr t10=(date=14074)
genr t11=(date=14075)
genr t12=(date=14076)
genr t13=(date=14077)
genr t14=(date=14081)
genr t15=(date=14082)
genr t16=(date=14083)
genr t17=(date=14084)
genr t18=(date=14087)
genr t19=(date=14088)
genr t20=(date=14089)
genr t21=(date=14090)
genr t22=(date=14091)
smpl if (portn<10.5)and((year=1998)and(month=7))
c=0
equation e1st.ls lhss=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+rhss)
scalar junk=e1st.@logl
results(13,11)=junk
delete junk
smpl if (portn>10.5)and((year=1998)and(month=7))
c=0
equation e2nd.ls lhss=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22))*((c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhss)
scalar junk=e2nd.@logl
results(13,12)=junk
delete junk
smpl if (year=1998)and(month=7)
c=0
equation ebth.ls lhss=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+(c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhss)
ebth.results(1p)
scalar junk=ebth.@logl
results(13,13)=junk
delete junk
'
' The year is 1998 and the month is 8
'
' Note that we lose 1 observation (last of year)
'
smpl @all
genr t01=(date=14094)
genr t02=(date=14095)
genr t03=(date=14096)
genr t04=(date=14097)
genr t05=(date=14098)
genr t06=(date=14101)
genr t07=(date=14102)
genr t08=(date=14103)
genr t09=(date=14104)
genr t10=(date=14105)
genr t11=(date=14108)
genr t12=(date=14109)
genr t13=(date=14110)
genr t14=(date=14111)
genr t15=(date=14112)
genr t16=(date=14115)
genr t17=(date=14116)
genr t18=(date=14117)
genr t19=(date=14118)
genr t20=(date=14119)
genr t21=(date=14122)
smpl if (portn<10.5)and((year=1998)and(month=8))and(date<14122.5)
c=0
equation e1st.ls lhss=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+rhss)
scalar junk=e1st.@logl
results(13,14)=junk
delete junk
smpl if (portn>10.5)and((year=1998)and(month=8))and(date<14122.5)
c=0
equation e2nd.ls lhss=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20))*((c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhss)
scalar junk=e2nd.@logl
results(13,15)=junk
delete junk
smpl if (year=1998)and(month=8)and(date<14122.5)
c=0
equation ebth.ls lhss=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+(c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhss)
ebth.results(1p)
scalar junk=ebth.@logl
results(13,16)=junk
delete junk
'
' The year is 1999 and the month is 4
'
' Note that we lose 1 observation (first of year)
'
smpl @all
genr t02=(date=14336)
genr t03=(date=14339)
genr t04=(date=14340)
genr t05=(date=14341)
genr t06=(date=14342)
genr t07=(date=14343)
genr t08=(date=14346)
genr t09=(date=14347)
genr t10=(date=14348)
genr t11=(date=14349)
genr t12=(date=14350)
genr t13=(date=14353)
genr t14=(date=14354)
genr t15=(date=14355)
genr t16=(date=14356)
genr t17=(date=14357)
genr t18=(date=14360)
genr t19=(date=14361)
genr t20=(date=14362)
genr t21=(date=14364)
smpl if (portn<10.5)and((year=1999)and(month=4))
c=0
equation e1st.ls lhss=((c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+rhss)
scalar junk=e1st.@logl
results(14,2)=junk
delete junk
smpl if (portn>10.5)and((year=1999)and(month=4))
c=0
equation e2nd.ls lhss=((c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhss)
scalar junk=e2nd.@logl
results(14,3)=junk
delete junk
smpl if (year=1999)and(month=4)
c=0
equation ebth.ls lhss=((c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+(c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhss)
ebth.results(1p)
scalar junk=ebth.@logl
results(14,4)=junk
delete junk
'
' The year is 1999 and the month is 5
'
smpl @all
genr t01=(date=14370)
genr t02=(date=14371)
genr t03=(date=14374)
genr t04=(date=14375)
genr t05=(date=14376)
genr t06=(date=14377)
genr t07=(date=14378)
genr t08=(date=14381)
genr t09=(date=14382)
genr t10=(date=14383)
genr t11=(date=14384)
genr t12=(date=14385)
genr t13=(date=14388)
genr t14=(date=14389)
genr t15=(date=14390)
genr t16=(date=14391)
genr t17=(date=14392)
genr t18=(date=14395)
smpl if (portn<10.5)and((year=1999)and(month=5))
c=0
equation e1st.ls lhss=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+rhss)
scalar junk=e1st.@logl
results(14,5)=junk
delete junk
smpl if (portn>10.5)and((year=1999)and(month=5))
c=0
equation e2nd.ls lhss=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18))*((c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhss)
scalar junk=e2nd.@logl
results(14,6)=junk
delete junk
smpl if (year=1999)and(month=5)
c=0
equation ebth.ls lhss=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+(c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhss)
ebth.results(1p)
scalar junk=ebth.@logl
results(14,7)=junk
delete junk
'
' The year is 1999 and the month is 6
'
smpl @all
genr t01=(date=14396)
genr t02=(date=14397)
genr t03=(date=14398)
genr t04=(date=14399)
genr t05=(date=14402)
genr t06=(date=14403)
genr t07=(date=14404)
genr t08=(date=14405)
genr t09=(date=14406)
genr t10=(date=14409)
genr t11=(date=14410)
genr t12=(date=14411)
genr t13=(date=14412)
genr t14=(date=14413)
genr t15=(date=14416)
genr t16=(date=14417)
genr t17=(date=14418)
genr t18=(date=14419)
genr t19=(date=14420)
genr t20=(date=14423)
genr t21=(date=14424)
genr t22=(date=14425)
smpl if (portn<10.5)and((year=1999)and(month=6))
c=0
equation e1st.ls lhss=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+rhss)
scalar junk=e1st.@logl
results(14,8)=junk
delete junk
smpl if (portn>10.5)and((year=1999)and(month=6))
c=0
equation e2nd.ls lhss=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22))*((c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhss)
scalar junk=e2nd.@logl
results(14,9)=junk
delete junk
smpl if (year=1999)and(month=6)
c=0
equation ebth.ls lhss=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+(c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhss)
ebth.results(1p)
scalar junk=ebth.@logl
results(14,10)=junk
delete junk
'
' The year is 1999 and the month is 7
'
smpl @all
genr t01=(date=14426)
genr t02=(date=14427)
genr t03=(date=14430)
genr t04=(date=14431)
genr t05=(date=14432)
genr t06=(date=14433)
genr t07=(date=14434)
genr t08=(date=14437)
genr t09=(date=14438)
genr t10=(date=14439)
genr t11=(date=14440)
genr t12=(date=14441)
genr t13=(date=14444)
genr t14=(date=14446)
genr t15=(date=14447)
genr t16=(date=14448)
genr t17=(date=14451)
genr t18=(date=14452)
genr t19=(date=14453)
genr t20=(date=14454)
genr t21=(date=14455)
smpl if (portn<10.5)and((year=1999)and(month=7))
c=0
equation e1st.ls lhss=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+rhss)
scalar junk=e1st.@logl
results(14,11)=junk
delete junk
smpl if (portn>10.5)and((year=1999)and(month=7))
c=0
equation e2nd.ls lhss=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhss)
scalar junk=e2nd.@logl
results(14,12)=junk
delete junk
smpl if (year=1999)and(month=7)
c=0
equation ebth.ls lhss=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+(c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhss)
ebth.results(1p)
scalar junk=ebth.@logl
results(14,13)=junk
delete junk
'
' The year is 1999 and the month is 8
'
' Note that we lose 1 observation (last of year)
'
smpl @all
genr t01=(date=14458)
genr t02=(date=14459)
genr t03=(date=14460)
genr t04=(date=14461)
genr t05=(date=14462)
genr t06=(date=14465)
genr t07=(date=14466)
genr t08=(date=14467)
genr t09=(date=14468)
genr t10=(date=14469)
genr t11=(date=14472)
genr t12=(date=14473)
genr t13=(date=14474)
genr t14=(date=14475)
genr t15=(date=14476)
genr t16=(date=14479)
genr t17=(date=14480)
genr t18=(date=14481)
genr t19=(date=14482)
genr t20=(date=14483)
genr t21=(date=14486)
smpl if (portn<10.5)and((year=1999)and(month=8))and(date<14486.5)
c=0
equation e1st.ls lhss=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+rhss)
scalar junk=e1st.@logl
results(14,14)=junk
delete junk
smpl if (portn>10.5)and((year=1999)and(month=8))and(date<14486.5)
c=0
equation e2nd.ls lhss=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhss)
scalar junk=e2nd.@logl
results(14,15)=junk
delete junk
smpl if (year=1999)and(month=8)and(date<14486.5)
c=0
equation ebth.ls lhss=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+(c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhss)
ebth.results(1p)
scalar junk=ebth.@logl
results(14,16)=junk
delete junk
'
' The year is 2000 and the month is 4
'
' Note that we lose 1 observation (first of year)
'
smpl @all
genr t02=(date=14704)
genr t03=(date=14705)
genr t04=(date=14706)
genr t05=(date=14707)
genr t06=(date=14710)
genr t07=(date=14711)
genr t08=(date=14712)
genr t09=(date=14713)
genr t10=(date=14714)
genr t11=(date=14717)
genr t12=(date=14718)
genr t13=(date=14719)
genr t14=(date=14720)
genr t15=(date=14721)
genr t16=(date=14724)
genr t17=(date=14725)
genr t18=(date=14726)
genr t19=(date=14727)
genr t20=(date=14728)
smpl if (portn<10.5)and((year=2000)and(month=4))
c=0
equation e1st.ls lhss=((c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+rhss)
scalar junk=e1st.@logl
results(15,2)=junk
delete junk
smpl if (portn>10.5)and((year=2000)and(month=4))
c=0
equation e2nd.ls lhss=((c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20))*((c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhss)
scalar junk=e2nd.@logl
results(15,3)=junk
delete junk
smpl if (year=2000)and(month=4)
c=0
equation ebth.ls lhss=((c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+(c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhss)
ebth.results(1p)
scalar junk=ebth.@logl
results(15,4)=junk
delete junk
'
' The year is 2000 and the month is 5
'
smpl @all
genr t01=(date=14731)
genr t02=(date=14732)
genr t03=(date=14738)
genr t04=(date=14739)
genr t05=(date=14740)
genr t06=(date=14741)
genr t07=(date=14742)
genr t08=(date=14745)
genr t09=(date=14746)
genr t10=(date=14747)
genr t11=(date=14748)
genr t12=(date=14749)
genr t13=(date=14752)
genr t14=(date=14753)
genr t15=(date=14754)
genr t16=(date=14755)
genr t17=(date=14756)
genr t18=(date=14759)
genr t19=(date=14760)
genr t20=(date=14761)
smpl if (portn<10.5)and((year=2000)and(month=5))
c=0
equation e1st.ls lhss=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+rhss)
scalar junk=e1st.@logl
results(15,5)=junk
delete junk
smpl if (portn>10.5)and((year=2000)and(month=5))
c=0
equation e2nd.ls lhss=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20))*((c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhss)
scalar junk=e2nd.@logl
results(15,6)=junk
delete junk
smpl if (year=2000)and(month=5)
c=0
equation ebth.ls lhss=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+(c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhss)
ebth.results(1p)
scalar junk=ebth.@logl
results(15,7)=junk
delete junk
'
' The year is 2000 and the month is 6
'
smpl @all
genr t01=(date=14762)
genr t02=(date=14763)
genr t03=(date=14766)
genr t04=(date=14767)
genr t05=(date=14768)
genr t06=(date=14769)
genr t07=(date=14770)
genr t08=(date=14773)
genr t09=(date=14774)
genr t10=(date=14775)
genr t11=(date=14776)
genr t12=(date=14777)
genr t13=(date=14780)
genr t14=(date=14781)
genr t15=(date=14782)
genr t16=(date=14783)
genr t17=(date=14784)
genr t18=(date=14787)
genr t19=(date=14788)
genr t20=(date=14789)
genr t21=(date=14790)
genr t22=(date=14791)
smpl if (portn<10.5)and((year=2000)and(month=6))
c=0
equation e1st.ls lhss=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+rhss)
scalar junk=e1st.@logl
results(15,8)=junk
delete junk
smpl if (portn>10.5)and((year=2000)and(month=6))
c=0
equation e2nd.ls lhss=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22))*((c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhss)
scalar junk=e2nd.@logl
results(15,9)=junk
delete junk
smpl if (year=2000)and(month=6)
c=0
equation ebth.ls lhss=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+(c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhss)
ebth.results(1p)
scalar junk=ebth.@logl
results(15,10)=junk
delete junk
'
' The year is 2000 and the month is 7
'
smpl @all
genr t01=(date=14794)
genr t02=(date=14795)
genr t03=(date=14796)
genr t04=(date=14797)
genr t05=(date=14798)
genr t06=(date=14801)
genr t07=(date=14802)
genr t08=(date=14803)
genr t09=(date=14804)
genr t10=(date=14805)
genr t11=(date=14808)
genr t12=(date=14809)
genr t13=(date=14810)
genr t14=(date=14812)
genr t15=(date=14815)
genr t16=(date=14816)
genr t17=(date=14817)
genr t18=(date=14818)
genr t19=(date=14819)
genr t20=(date=14822)
smpl if (portn<10.5)and((year=2000)and(month=7))
c=0
equation e1st.ls lhss=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+rhss)
scalar junk=e1st.@logl
results(15,11)=junk
delete junk
smpl if (portn>10.5)and((year=2000)and(month=7))
c=0
equation e2nd.ls lhss=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20))*((c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhss)
scalar junk=e2nd.@logl
results(15,12)=junk
delete junk
smpl if (year=2000)and(month=7)
c=0
equation ebth.ls lhss=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+(c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhss)
ebth.results(1p)
scalar junk=ebth.@logl
results(15,13)=junk
delete junk
'
' The year is 2000 and the month is 8
'
' Note that we lose 1 observation (last of year)
'
smpl @all
genr t01=(date=14823)
genr t02=(date=14824)
genr t03=(date=14825)
genr t04=(date=14826)
genr t05=(date=14829)
genr t06=(date=14830)
genr t07=(date=14831)
genr t08=(date=14832)
genr t09=(date=14833)
genr t10=(date=14836)
genr t11=(date=14837)
genr t12=(date=14838)
genr t13=(date=14839)
genr t14=(date=14840)
genr t15=(date=14843)
genr t16=(date=14844)
genr t17=(date=14845)
genr t18=(date=14846)
genr t19=(date=14847)
genr t20=(date=14850)
genr t21=(date=14851)
genr t22=(date=14852)
smpl if (portn<10.5)and((year=2000)and(month=8))and(date<14852.5)
c=0
equation e1st.ls lhss=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+rhss)
scalar junk=e1st.@logl
results(15,14)=junk
delete junk
smpl if (portn>10.5)and((year=2000)and(month=8))and(date<14852.5)
c=0
equation e2nd.ls lhss=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22))*((c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhss)
scalar junk=e2nd.@logl
results(15,15)=junk
delete junk
smpl if (year=2000)and(month=8)and(date<14852.5)
c=0
equation ebth.ls lhss=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+(c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhss)
ebth.results(1p)
scalar junk=ebth.@logl
results(15,16)=junk
delete junk
'
' The year is 2001 and the month is 4
'
' Note that we lose 1 observation (first of year)
'
smpl @all
genr t02=(date=15068)
genr t03=(date=15069)
genr t04=(date=15070)
genr t05=(date=15071)
genr t06=(date=15074)
genr t07=(date=15075)
genr t08=(date=15076)
genr t09=(date=15077)
genr t10=(date=15078)
genr t11=(date=15081)
genr t12=(date=15082)
genr t13=(date=15083)
genr t14=(date=15084)
genr t15=(date=15085)
genr t16=(date=15088)
genr t17=(date=15089)
genr t18=(date=15090)
genr t19=(date=15091)
genr t20=(date=15092)
smpl if (portn<10.5)and((year=2001)and(month=4))
c=0
equation e1st.ls lhss=((c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+rhss)
scalar junk=e1st.@logl
results(16,2)=junk
delete junk
smpl if (portn>10.5)and((year=2001)and(month=4))
c=0
equation e2nd.ls lhss=((c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20))*((c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhss)
scalar junk=e2nd.@logl
results(16,3)=junk
delete junk
smpl if (year=2001)and(month=4)
c=0
equation ebth.ls lhss=((c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+(c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhss)
ebth.results(1p)
scalar junk=ebth.@logl
results(16,4)=junk
delete junk
'
' The year is 2001 and the month is 5
'
smpl @all
genr t01=(date=15096)
genr t02=(date=15097)
genr t03=(date=15102)
genr t04=(date=15103)
genr t05=(date=15104)
genr t06=(date=15105)
genr t07=(date=15106)
genr t08=(date=15109)
genr t09=(date=15110)
genr t10=(date=15111)
genr t11=(date=15112)
genr t12=(date=15113)
genr t13=(date=15116)
genr t14=(date=15117)
genr t15=(date=15118)
genr t16=(date=15119)
genr t17=(date=15120)
genr t18=(date=15123)
genr t19=(date=15124)
genr t20=(date=15125)
genr t21=(date=15126)
smpl if (portn<10.5)and((year=2001)and(month=5))
c=0
equation e1st.ls lhss=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+rhss)
scalar junk=e1st.@logl
results(16,5)=junk
delete junk
smpl if (portn>10.5)and((year=2001)and(month=5))
c=0
equation e2nd.ls lhss=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhss)
scalar junk=e2nd.@logl
results(16,6)=junk
delete junk
smpl if (year=2001)and(month=5)
c=0
equation ebth.ls lhss=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+(c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhss)
ebth.results(1p)
scalar junk=ebth.@logl
results(16,7)=junk
delete junk
'
' The year is 2001 and the month is 6
'
smpl @all
genr t01=(date=15127)
genr t02=(date=15130)
genr t03=(date=15131)
genr t04=(date=15132)
genr t05=(date=15133)
genr t06=(date=15134)
genr t07=(date=15137)
genr t08=(date=15138)
genr t09=(date=15139)
genr t10=(date=15140)
genr t11=(date=15141)
genr t12=(date=15144)
genr t13=(date=15145)
genr t14=(date=15146)
genr t15=(date=15147)
genr t16=(date=15148)
genr t17=(date=15151)
genr t18=(date=15152)
genr t19=(date=15153)
genr t20=(date=15154)
genr t21=(date=15155)
smpl if (portn<10.5)and((year=2001)and(month=6))
c=0
equation e1st.ls lhss=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+rhss)
scalar junk=e1st.@logl
results(16,8)=junk
delete junk
smpl if (portn>10.5)and((year=2001)and(month=6))
c=0
equation e2nd.ls lhss=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhss)
scalar junk=e2nd.@logl
results(16,9)=junk
delete junk
smpl if (year=2001)and(month=6)
c=0
equation ebth.ls lhss=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+(c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhss)
ebth.results(1p)
scalar junk=ebth.@logl
results(16,10)=junk
delete junk
'
' The year is 2001 and the month is 7
'
smpl @all
genr t01=(date=15158)
genr t02=(date=15159)
genr t03=(date=15160)
genr t04=(date=15161)
genr t05=(date=15162)
genr t06=(date=15165)
genr t07=(date=15166)
genr t08=(date=15167)
genr t09=(date=15168)
genr t10=(date=15169)
genr t11=(date=15172)
genr t12=(date=15173)
genr t13=(date=15174)
genr t14=(date=15175)
genr t15=(date=15179)
genr t16=(date=15180)
genr t17=(date=15181)
genr t18=(date=15182)
genr t19=(date=15183)
genr t20=(date=15186)
genr t21=(date=15187)
smpl if (portn<10.5)and((year=2001)and(month=7))
c=0
equation e1st.ls lhss=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+rhss)
scalar junk=e1st.@logl
results(16,11)=junk
delete junk
smpl if (portn>10.5)and((year=2001)and(month=7))
c=0
equation e2nd.ls lhss=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhss)
scalar junk=e2nd.@logl
results(16,12)=junk
delete junk
smpl if (year=2001)and(month=7)
c=0
equation ebth.ls lhss=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+(c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhss)
ebth.results(1p)
scalar junk=ebth.@logl
results(16,13)=junk
delete junk
'
' The year is 2001 and the month is 8
'
' Note that we lose 1 observation (last of year)
'
smpl @all
genr t01=(date=15188)
genr t02=(date=15189)
genr t03=(date=15190)
genr t04=(date=15193)
genr t05=(date=15194)
genr t06=(date=15195)
genr t07=(date=15196)
genr t08=(date=15197)
genr t09=(date=15200)
genr t10=(date=15201)
genr t11=(date=15202)
genr t12=(date=15203)
genr t13=(date=15204)
genr t14=(date=15207)
genr t15=(date=15208)
genr t16=(date=15209)
genr t17=(date=15210)
genr t18=(date=15211)
genr t19=(date=15214)
genr t20=(date=15215)
genr t21=(date=15216)
genr t22=(date=15217)
smpl if (portn<10.5)and((year=2001)and(month=8))and(date<15217.5)
c=0
equation e1st.ls lhss=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+rhss)
scalar junk=e1st.@logl
results(16,14)=junk
delete junk
smpl if (portn>10.5)and((year=2001)and(month=8))and(date<15217.5)
c=0
equation e2nd.ls lhss=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22))*((c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhss)
scalar junk=e2nd.@logl
results(16,15)=junk
delete junk
smpl if (year=2001)and(month=8)and(date<15217.5)
c=0
equation ebth.ls lhss=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+(c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhss)
ebth.results(1p)
scalar junk=ebth.@logl
results(16,16)=junk
delete junk
'
' The year is 2002 and the month is 4
'
' Note that we lose 1 observation (first of year)
'
smpl @all
genr t02=(date=15432)
genr t03=(date=15433)
genr t04=(date=15434)
genr t05=(date=15435)
genr t06=(date=15438)
genr t07=(date=15439)
genr t08=(date=15440)
genr t09=(date=15441)
genr t10=(date=15442)
genr t11=(date=15445)
genr t12=(date=15446)
genr t13=(date=15447)
genr t14=(date=15448)
genr t15=(date=15449)
genr t16=(date=15452)
genr t17=(date=15453)
genr t18=(date=15454)
genr t19=(date=15455)
genr t20=(date=15456)
genr t21=(date=15460)
smpl if (portn<10.5)and((year=2002)and(month=4))
c=0
equation e1st.ls lhss=((c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+rhss)
scalar junk=e1st.@logl
results(17,2)=junk
delete junk
smpl if (portn>10.5)and((year=2002)and(month=4))
c=0
equation e2nd.ls lhss=((c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhss)
scalar junk=e2nd.@logl
results(17,3)=junk
delete junk
smpl if (year=2002)and(month=4)
c=0
equation ebth.ls lhss=((c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+(c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhss)
ebth.results(1p)
scalar junk=ebth.@logl
results(17,4)=junk
delete junk
'
' The year is 2002 and the month is 5
'
smpl @all
genr t01=(date=15461)
genr t02=(date=15462)
genr t03=(date=15467)
genr t04=(date=15468)
genr t05=(date=15469)
genr t06=(date=15470)
genr t07=(date=15473)
genr t08=(date=15474)
genr t09=(date=15475)
genr t10=(date=15476)
genr t11=(date=15477)
genr t12=(date=15480)
genr t13=(date=15481)
genr t14=(date=15482)
genr t15=(date=15483)
genr t16=(date=15484)
genr t17=(date=15487)
genr t18=(date=15488)
genr t19=(date=15489)
genr t20=(date=15490)
genr t21=(date=15491)
smpl if (portn<10.5)and((year=2002)and(month=5))
c=0
equation e1st.ls lhss=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+rhss)
scalar junk=e1st.@logl
results(17,5)=junk
delete junk
smpl if (portn>10.5)and((year=2002)and(month=5))
c=0
equation e2nd.ls lhss=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhss)
scalar junk=e2nd.@logl
results(17,6)=junk
delete junk
smpl if (year=2002)and(month=5)
c=0
equation ebth.ls lhss=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+(c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhss)
ebth.results(1p)
scalar junk=ebth.@logl
results(17,7)=junk
delete junk
'
' The year is 2002 and the month is 6
'
smpl @all
genr t01=(date=15494)
genr t02=(date=15495)
genr t03=(date=15496)
genr t04=(date=15497)
genr t05=(date=15498)
genr t06=(date=15501)
genr t07=(date=15502)
genr t08=(date=15503)
genr t09=(date=15504)
genr t10=(date=15505)
genr t11=(date=15508)
genr t12=(date=15509)
genr t13=(date=15510)
genr t14=(date=15511)
genr t15=(date=15512)
genr t16=(date=15515)
genr t17=(date=15516)
genr t18=(date=15517)
genr t19=(date=15518)
genr t20=(date=15519)
smpl if (portn<10.5)and((year=2002)and(month=6))
c=0
equation e1st.ls lhss=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+rhss)
scalar junk=e1st.@logl
results(17,8)=junk
delete junk
smpl if (portn>10.5)and((year=2002)and(month=6))
c=0
equation e2nd.ls lhss=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20))*((c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhss)
scalar junk=e2nd.@logl
results(17,9)=junk
delete junk
smpl if (year=2002)and(month=6)
c=0
equation ebth.ls lhss=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+(c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhss)
ebth.results(1p)
scalar junk=ebth.@logl
results(17,10)=junk
delete junk
'
' The year is 2002 and the month is 7
'
smpl @all
genr t01=(date=15522)
genr t02=(date=15523)
genr t03=(date=15524)
genr t04=(date=15525)
genr t05=(date=15526)
genr t06=(date=15529)
genr t07=(date=15530)
genr t08=(date=15531)
genr t09=(date=15532)
genr t10=(date=15533)
genr t11=(date=15536)
genr t12=(date=15537)
genr t13=(date=15538)
genr t14=(date=15539)
genr t15=(date=15540)
genr t16=(date=15543)
genr t17=(date=15544)
genr t18=(date=15545)
genr t19=(date=15546)
genr t20=(date=15547)
genr t21=(date=15550)
genr t22=(date=15551)
genr t23=(date=15552)
smpl if (portn<10.5)and((year=2002)and(month=7))
c=0
equation e1st.ls lhss=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+rhss)
scalar junk=e1st.@logl
results(17,11)=junk
delete junk
smpl if (portn>10.5)and((year=2002)and(month=7))
c=0
equation e2nd.ls lhss=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23))*((c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhss)
scalar junk=e2nd.@logl
results(17,12)=junk
delete junk
smpl if (year=2002)and(month=7)
c=0
equation ebth.ls lhss=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+(c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhss)
ebth.results(1p)
scalar junk=ebth.@logl
results(17,13)=junk
delete junk
'
' The year is 2002 and the month is 8
'
' Note that we lose 1 observation (last of year)
'
smpl @all
genr t01=(date=15553)
genr t02=(date=15554)
genr t03=(date=15557)
genr t04=(date=15558)
genr t05=(date=15559)
genr t06=(date=15560)
genr t07=(date=15561)
genr t08=(date=15564)
genr t09=(date=15565)
genr t10=(date=15566)
genr t11=(date=15567)
genr t12=(date=15568)
genr t13=(date=15571)
genr t14=(date=15572)
genr t15=(date=15573)
genr t16=(date=15574)
genr t17=(date=15575)
genr t18=(date=15578)
genr t19=(date=15579)
genr t20=(date=15580)
genr t21=(date=15581)
smpl if (portn<10.5)and((year=2002)and(month=8))and(date<15581.5)
c=0
equation e1st.ls lhss=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+rhss)
scalar junk=e1st.@logl
results(17,14)=junk
delete junk
smpl if (portn>10.5)and((year=2002)and(month=8))and(date<15581.5)
c=0
equation e2nd.ls lhss=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhss)
scalar junk=e2nd.@logl
results(17,15)=junk
delete junk
smpl if (year=2002)and(month=8)and(date<15581.5)
c=0
equation ebth.ls lhss=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+(c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhss)
ebth.results(1p)
scalar junk=ebth.@logl
results(17,16)=junk
delete junk
'
' Random Portfolios Last
'
' The year is 1998 and the month is 4
'
' Note that we lose 1 observation (first of year)
'
smpl @all
genr t02=(date=13971)
genr t03=(date=13972)
genr t04=(date=13975)
genr t05=(date=13976)
genr t06=(date=13977)
genr t07=(date=13978)
genr t08=(date=13979)
genr t09=(date=13982)
genr t10=(date=13983)
genr t11=(date=13984)
genr t12=(date=13985)
genr t13=(date=13986)
genr t14=(date=13989)
genr t15=(date=13990)
genr t16=(date=13991)
genr t17=(date=13992)
genr t18=(date=13993)
genr t19=(date=13996)
genr t20=(date=13997)
genr t21=(date=13999)
smpl if (portn<10.5)and((year=1998)and(month=4))
c=0
equation e1st.ls lhs=((c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+rhs)
scalar junk=e1st.@logl
results(23,2)=junk
delete junk
smpl if (portn>10.5)and((year=1998)and(month=4))
c=0
equation e2nd.ls lhs=((c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhs)
scalar junk=e2nd.@logl
results(23,3)=junk
delete junk
smpl if (year=1998)and(month=4)
c=0
equation ebth.ls lhs=((c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+(c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhs)
ebth.results(2p)
scalar junk=ebth.@logl
results(23,4)=junk
delete junk
'
' The year is 1998 and the month is 5
'
smpl @all
genr t01=(date=14000)
genr t02=(date=14005)
genr t03=(date=14006)
genr t04=(date=14007)
genr t05=(date=14010)
genr t06=(date=14011)
genr t07=(date=14012)
genr t08=(date=14013)
genr t09=(date=14014)
genr t10=(date=14017)
genr t11=(date=14018)
genr t12=(date=14019)
genr t13=(date=14020)
genr t14=(date=14021)
genr t15=(date=14024)
genr t16=(date=14025)
genr t17=(date=14026)
genr t18=(date=14027)
genr t19=(date=14028)
smpl if (portn<10.5)and((year=1998)and(month=5))
c=0
equation e1st.ls lhs=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+rhs)
scalar junk=e1st.@logl
results(23,5)=junk
delete junk
smpl if (portn>10.5)and((year=1998)and(month=5))
c=0
equation e2nd.ls lhs=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19))*((c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhs)
scalar junk=e2nd.@logl
results(23,6)=junk
delete junk
smpl if (year=1998)and(month=5)
c=0
equation ebth.ls lhs=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+(c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhs)
ebth.results(2p)
scalar junk=ebth.@logl
results(23,7)=junk
delete junk
'
' The year is 1998 and the month is 6
'
smpl @all
genr t01=(date=14031)
genr t02=(date=14032)
genr t03=(date=14033)
genr t04=(date=14034)
genr t05=(date=14035)
genr t06=(date=14038)
genr t07=(date=14039)
genr t08=(date=14040)
genr t09=(date=14041)
genr t10=(date=14042)
genr t11=(date=14045)
genr t12=(date=14046)
genr t13=(date=14047)
genr t14=(date=14048)
genr t15=(date=14049)
genr t16=(date=14052)
genr t17=(date=14053)
genr t18=(date=14054)
genr t19=(date=14055)
genr t20=(date=14056)
genr t21=(date=14059)
genr t22=(date=14060)
smpl if (portn<10.5)and((year=1998)and(month=6))
c=0
equation e1st.ls lhs=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+rhs)
scalar junk=e1st.@logl
results(23,8)=junk
delete junk
smpl if (portn>10.5)and((year=1998)and(month=6))
c=0
equation e2nd.ls lhs=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22))*((c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhs)
scalar junk=e2nd.@logl
results(23,9)=junk
delete junk
smpl if (year=1998)and(month=6)
c=0
equation ebth.ls lhs=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+(c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhs)
ebth.results(2p)
scalar junk=ebth.@logl
results(23,10)=junk
delete junk
'
' The year is 1998 and the month is 7
'
smpl @all
genr t01=(date=14061)
genr t02=(date=14062)
genr t03=(date=14063)
genr t04=(date=14066)
genr t05=(date=14067)
genr t06=(date=14068)
genr t07=(date=14069)
genr t08=(date=14070)
genr t09=(date=14073)
genr t10=(date=14074)
genr t11=(date=14075)
genr t12=(date=14076)
genr t13=(date=14077)
genr t14=(date=14081)
genr t15=(date=14082)
genr t16=(date=14083)
genr t17=(date=14084)
genr t18=(date=14087)
genr t19=(date=14088)
genr t20=(date=14089)
genr t21=(date=14090)
genr t22=(date=14091)
smpl if (portn<10.5)and((year=1998)and(month=7))
c=0
equation e1st.ls lhs=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+rhs)
scalar junk=e1st.@logl
results(23,11)=junk
delete junk
smpl if (portn>10.5)and((year=1998)and(month=7))
c=0
equation e2nd.ls lhs=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22))*((c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhs)
scalar junk=e2nd.@logl
results(23,12)=junk
delete junk
smpl if (year=1998)and(month=7)
c=0
equation ebth.ls lhs=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+(c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhs)
ebth.results(2p)
scalar junk=ebth.@logl
results(23,13)=junk
delete junk
'
' The year is 1998 and the month is 8
'
' Note that we lose 1 observation (last of year)
'
smpl @all
genr t01=(date=14094)
genr t02=(date=14095)
genr t03=(date=14096)
genr t04=(date=14097)
genr t05=(date=14098)
genr t06=(date=14101)
genr t07=(date=14102)
genr t08=(date=14103)
genr t09=(date=14104)
genr t10=(date=14105)
genr t11=(date=14108)
genr t12=(date=14109)
genr t13=(date=14110)
genr t14=(date=14111)
genr t15=(date=14112)
genr t16=(date=14115)
genr t17=(date=14116)
genr t18=(date=14117)
genr t19=(date=14118)
genr t20=(date=14119)
genr t21=(date=14122)
smpl if (portn<10.5)and((year=1998)and(month=8))and(date<14122.5)
c=0
equation e1st.ls lhs=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+rhs)
scalar junk=e1st.@logl
results(23,14)=junk
delete junk
smpl if (portn>10.5)and((year=1998)and(month=8))and(date<14122.5)
c=0
equation e2nd.ls lhs=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20))*((c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhs)
scalar junk=e2nd.@logl
results(23,15)=junk
delete junk
smpl if (year=1998)and(month=8)and(date<14122.5)
c=0
equation ebth.ls lhs=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+(c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhs)
ebth.results(2p)
scalar junk=ebth.@logl
results(23,16)=junk
delete junk
'
' The year is 1999 and the month is 4
'
' Note that we lose 1 observation (first of year)
'
smpl @all
genr t02=(date=14336)
genr t03=(date=14339)
genr t04=(date=14340)
genr t05=(date=14341)
genr t06=(date=14342)
genr t07=(date=14343)
genr t08=(date=14346)
genr t09=(date=14347)
genr t10=(date=14348)
genr t11=(date=14349)
genr t12=(date=14350)
genr t13=(date=14353)
genr t14=(date=14354)
genr t15=(date=14355)
genr t16=(date=14356)
genr t17=(date=14357)
genr t18=(date=14360)
genr t19=(date=14361)
genr t20=(date=14362)
genr t21=(date=14364)
smpl if (portn<10.5)and((year=1999)and(month=4))
c=0
equation e1st.ls lhs=((c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+rhs)
scalar junk=e1st.@logl
results(24,2)=junk
delete junk
smpl if (portn>10.5)and((year=1999)and(month=4))
c=0
equation e2nd.ls lhs=((c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhs)
scalar junk=e2nd.@logl
results(24,3)=junk
delete junk
smpl if (year=1999)and(month=4)
c=0
equation ebth.ls lhs=((c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+(c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhs)
ebth.results(2p)
scalar junk=ebth.@logl
results(24,4)=junk
delete junk
'
' The year is 1999 and the month is 5
'
smpl @all
genr t01=(date=14370)
genr t02=(date=14371)
genr t03=(date=14374)
genr t04=(date=14375)
genr t05=(date=14376)
genr t06=(date=14377)
genr t07=(date=14378)
genr t08=(date=14381)
genr t09=(date=14382)
genr t10=(date=14383)
genr t11=(date=14384)
genr t12=(date=14385)
genr t13=(date=14388)
genr t14=(date=14389)
genr t15=(date=14390)
genr t16=(date=14391)
genr t17=(date=14392)
genr t18=(date=14395)
smpl if (portn<10.5)and((year=1999)and(month=5))
c=0
equation e1st.ls lhs=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+rhs)
scalar junk=e1st.@logl
results(24,5)=junk
delete junk
smpl if (portn>10.5)and((year=1999)and(month=5))
c=0
equation e2nd.ls lhs=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18))*((c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhs)
scalar junk=e2nd.@logl
results(24,6)=junk
delete junk
smpl if (year=1999)and(month=5)
c=0
equation ebth.ls lhs=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+(c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhs)
ebth.results(2p)
scalar junk=ebth.@logl
results(24,7)=junk
delete junk
'
' The year is 1999 and the month is 6
'
smpl @all
genr t01=(date=14396)
genr t02=(date=14397)
genr t03=(date=14398)
genr t04=(date=14399)
genr t05=(date=14402)
genr t06=(date=14403)
genr t07=(date=14404)
genr t08=(date=14405)
genr t09=(date=14406)
genr t10=(date=14409)
genr t11=(date=14410)
genr t12=(date=14411)
genr t13=(date=14412)
genr t14=(date=14413)
genr t15=(date=14416)
genr t16=(date=14417)
genr t17=(date=14418)
genr t18=(date=14419)
genr t19=(date=14420)
genr t20=(date=14423)
genr t21=(date=14424)
genr t22=(date=14425)
smpl if (portn<10.5)and((year=1999)and(month=6))
c=0
equation e1st.ls lhs=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+rhs)
scalar junk=e1st.@logl
results(24,8)=junk
delete junk
smpl if (portn>10.5)and((year=1999)and(month=6))
c=0
equation e2nd.ls lhs=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22))*((c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhs)
scalar junk=e2nd.@logl
results(24,9)=junk
delete junk
smpl if (year=1999)and(month=6)
c=0
equation ebth.ls lhs=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+(c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhs)
ebth.results(2p)
scalar junk=ebth.@logl
results(24,10)=junk
delete junk
'
' The year is 1999 and the month is 7
'
smpl @all
genr t01=(date=14426)
genr t02=(date=14427)
genr t03=(date=14430)
genr t04=(date=14431)
genr t05=(date=14432)
genr t06=(date=14433)
genr t07=(date=14434)
genr t08=(date=14437)
genr t09=(date=14438)
genr t10=(date=14439)
genr t11=(date=14440)
genr t12=(date=14441)
genr t13=(date=14444)
genr t14=(date=14446)
genr t15=(date=14447)
genr t16=(date=14448)
genr t17=(date=14451)
genr t18=(date=14452)
genr t19=(date=14453)
genr t20=(date=14454)
genr t21=(date=14455)
smpl if (portn<10.5)and((year=1999)and(month=7))
c=0
equation e1st.ls lhs=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+rhs)
scalar junk=e1st.@logl
results(24,11)=junk
delete junk
smpl if (portn>10.5)and((year=1999)and(month=7))
c=0
equation e2nd.ls lhs=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhs)
scalar junk=e2nd.@logl
results(24,12)=junk
delete junk
smpl if (year=1999)and(month=7)
c=0
equation ebth.ls lhs=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+(c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhs)
ebth.results(2p)
scalar junk=ebth.@logl
results(24,13)=junk
delete junk
'
' The year is 1999 and the month is 8
'
' Note that we lose 1 observation (last of year)
'
smpl @all
genr t01=(date=14458)
genr t02=(date=14459)
genr t03=(date=14460)
genr t04=(date=14461)
genr t05=(date=14462)
genr t06=(date=14465)
genr t07=(date=14466)
genr t08=(date=14467)
genr t09=(date=14468)
genr t10=(date=14469)
genr t11=(date=14472)
genr t12=(date=14473)
genr t13=(date=14474)
genr t14=(date=14475)
genr t15=(date=14476)
genr t16=(date=14479)
genr t17=(date=14480)
genr t18=(date=14481)
genr t19=(date=14482)
genr t20=(date=14483)
genr t21=(date=14486)
smpl if (portn<10.5)and((year=1999)and(month=8))and(date<14486.5)
c=0
equation e1st.ls lhs=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+rhs)
scalar junk=e1st.@logl
results(24,14)=junk
delete junk
smpl if (portn>10.5)and((year=1999)and(month=8))and(date<14486.5)
c=0
equation e2nd.ls lhs=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhs)
scalar junk=e2nd.@logl
results(24,15)=junk
delete junk
smpl if (year=1999)and(month=8)and(date<14486.5)
c=0
equation ebth.ls lhs=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+(c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhs)
ebth.results(2p)
scalar junk=ebth.@logl
results(24,16)=junk
delete junk
'
' The year is 2000 and the month is 4
'
' Note that we lose 1 observation (first of year)
'
smpl @all
genr t02=(date=14704)
genr t03=(date=14705)
genr t04=(date=14706)
genr t05=(date=14707)
genr t06=(date=14710)
genr t07=(date=14711)
genr t08=(date=14712)
genr t09=(date=14713)
genr t10=(date=14714)
genr t11=(date=14717)
genr t12=(date=14718)
genr t13=(date=14719)
genr t14=(date=14720)
genr t15=(date=14721)
genr t16=(date=14724)
genr t17=(date=14725)
genr t18=(date=14726)
genr t19=(date=14727)
genr t20=(date=14728)
smpl if (portn<10.5)and((year=2000)and(month=4))
c=0
equation e1st.ls lhs=((c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+rhs)
scalar junk=e1st.@logl
results(25,2)=junk
delete junk
smpl if (portn>10.5)and((year=2000)and(month=4))
c=0
equation e2nd.ls lhs=((c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20))*((c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhs)
scalar junk=e2nd.@logl
results(25,3)=junk
delete junk
smpl if (year=2000)and(month=4)
c=0
equation ebth.ls lhs=((c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+(c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhs)
ebth.results(2p)
scalar junk=ebth.@logl
results(25,4)=junk
delete junk
'
' The year is 2000 and the month is 5
'
smpl @all
genr t01=(date=14731)
genr t02=(date=14732)
genr t03=(date=14738)
genr t04=(date=14739)
genr t05=(date=14740)
genr t06=(date=14741)
genr t07=(date=14742)
genr t08=(date=14745)
genr t09=(date=14746)
genr t10=(date=14747)
genr t11=(date=14748)
genr t12=(date=14749)
genr t13=(date=14752)
genr t14=(date=14753)
genr t15=(date=14754)
genr t16=(date=14755)
genr t17=(date=14756)
genr t18=(date=14759)
genr t19=(date=14760)
genr t20=(date=14761)
smpl if (portn<10.5)and((year=2000)and(month=5))
c=0
equation e1st.ls lhs=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+rhs)
scalar junk=e1st.@logl
results(25,5)=junk
delete junk
smpl if (portn>10.5)and((year=2000)and(month=5))
c=0
equation e2nd.ls lhs=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20))*((c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhs)
scalar junk=e2nd.@logl
results(25,6)=junk
delete junk
smpl if (year=2000)and(month=5)
c=0
equation ebth.ls lhs=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+(c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhs)
ebth.results(2p)
scalar junk=ebth.@logl
results(25,7)=junk
delete junk
'
' The year is 2000 and the month is 6
'
smpl @all
genr t01=(date=14762)
genr t02=(date=14763)
genr t03=(date=14766)
genr t04=(date=14767)
genr t05=(date=14768)
genr t06=(date=14769)
genr t07=(date=14770)
genr t08=(date=14773)
genr t09=(date=14774)
genr t10=(date=14775)
genr t11=(date=14776)
genr t12=(date=14777)
genr t13=(date=14780)
genr t14=(date=14781)
genr t15=(date=14782)
genr t16=(date=14783)
genr t17=(date=14784)
genr t18=(date=14787)
genr t19=(date=14788)
genr t20=(date=14789)
genr t21=(date=14790)
genr t22=(date=14791)
smpl if (portn<10.5)and((year=2000)and(month=6))
c=0
equation e1st.ls lhs=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+rhs)
scalar junk=e1st.@logl
results(25,8)=junk
delete junk
smpl if (portn>10.5)and((year=2000)and(month=6))
c=0
equation e2nd.ls lhs=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22))*((c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhs)
scalar junk=e2nd.@logl
results(25,9)=junk
delete junk
smpl if (year=2000)and(month=6)
c=0
equation ebth.ls lhs=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+(c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhs)
ebth.results(2p)
scalar junk=ebth.@logl
results(25,10)=junk
delete junk
'
' The year is 2000 and the month is 7
'
smpl @all
genr t01=(date=14794)
genr t02=(date=14795)
genr t03=(date=14796)
genr t04=(date=14797)
genr t05=(date=14798)
genr t06=(date=14801)
genr t07=(date=14802)
genr t08=(date=14803)
genr t09=(date=14804)
genr t10=(date=14805)
genr t11=(date=14808)
genr t12=(date=14809)
genr t13=(date=14810)
genr t14=(date=14812)
genr t15=(date=14815)
genr t16=(date=14816)
genr t17=(date=14817)
genr t18=(date=14818)
genr t19=(date=14819)
genr t20=(date=14822)
smpl if (portn<10.5)and((year=2000)and(month=7))
c=0
equation e1st.ls lhs=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+rhs)
scalar junk=e1st.@logl
results(25,11)=junk
delete junk
smpl if (portn>10.5)and((year=2000)and(month=7))
c=0
equation e2nd.ls lhs=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20))*((c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhs)
scalar junk=e2nd.@logl
results(25,12)=junk
delete junk
smpl if (year=2000)and(month=7)
c=0
equation ebth.ls lhs=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+(c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhs)
ebth.results(2p)
scalar junk=ebth.@logl
results(25,13)=junk
delete junk
'
' The year is 2000 and the month is 8
'
' Note that we lose 1 observation (last of year)
'
smpl @all
genr t01=(date=14823)
genr t02=(date=14824)
genr t03=(date=14825)
genr t04=(date=14826)
genr t05=(date=14829)
genr t06=(date=14830)
genr t07=(date=14831)
genr t08=(date=14832)
genr t09=(date=14833)
genr t10=(date=14836)
genr t11=(date=14837)
genr t12=(date=14838)
genr t13=(date=14839)
genr t14=(date=14840)
genr t15=(date=14843)
genr t16=(date=14844)
genr t17=(date=14845)
genr t18=(date=14846)
genr t19=(date=14847)
genr t20=(date=14850)
genr t21=(date=14851)
genr t22=(date=14852)
smpl if (portn<10.5)and((year=2000)and(month=8))and(date<14852.5)
c=0
equation e1st.ls lhs=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+rhs)
scalar junk=e1st.@logl
results(25,14)=junk
delete junk
smpl if (portn>10.5)and((year=2000)and(month=8))and(date<14852.5)
c=0
equation e2nd.ls lhs=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22))*((c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhs)
scalar junk=e2nd.@logl
results(25,15)=junk
delete junk
smpl if (year=2000)and(month=8)and(date<14852.5)
c=0
equation ebth.ls lhs=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+(c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhs)
ebth.results(2p)
scalar junk=ebth.@logl
results(25,16)=junk
delete junk
'
' The year is 2001 and the month is 4
'
' Note that we lose 1 observation (first of year)
'
smpl @all
genr t02=(date=15068)
genr t03=(date=15069)
genr t04=(date=15070)
genr t05=(date=15071)
genr t06=(date=15074)
genr t07=(date=15075)
genr t08=(date=15076)
genr t09=(date=15077)
genr t10=(date=15078)
genr t11=(date=15081)
genr t12=(date=15082)
genr t13=(date=15083)
genr t14=(date=15084)
genr t15=(date=15085)
genr t16=(date=15088)
genr t17=(date=15089)
genr t18=(date=15090)
genr t19=(date=15091)
genr t20=(date=15092)
smpl if (portn<10.5)and((year=2001)and(month=4))
c=0
equation e1st.ls lhs=((c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+rhs)
scalar junk=e1st.@logl
results(26,2)=junk
delete junk
smpl if (portn>10.5)and((year=2001)and(month=4))
c=0
equation e2nd.ls lhs=((c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20))*((c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhs)
scalar junk=e2nd.@logl
results(26,3)=junk
delete junk
smpl if (year=2001)and(month=4)
c=0
equation ebth.ls lhs=((c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+(c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhs)
ebth.results(2p)
scalar junk=ebth.@logl
results(26,4)=junk
delete junk
'
' The year is 2001 and the month is 5
'
smpl @all
genr t01=(date=15096)
genr t02=(date=15097)
genr t03=(date=15102)
genr t04=(date=15103)
genr t05=(date=15104)
genr t06=(date=15105)
genr t07=(date=15106)
genr t08=(date=15109)
genr t09=(date=15110)
genr t10=(date=15111)
genr t11=(date=15112)
genr t12=(date=15113)
genr t13=(date=15116)
genr t14=(date=15117)
genr t15=(date=15118)
genr t16=(date=15119)
genr t17=(date=15120)
genr t18=(date=15123)
genr t19=(date=15124)
genr t20=(date=15125)
genr t21=(date=15126)
smpl if (portn<10.5)and((year=2001)and(month=5))
c=0
equation e1st.ls lhs=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+rhs)
scalar junk=e1st.@logl
results(26,5)=junk
delete junk
smpl if (portn>10.5)and((year=2001)and(month=5))
c=0
equation e2nd.ls lhs=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhs)
scalar junk=e2nd.@logl
results(26,6)=junk
delete junk
smpl if (year=2001)and(month=5)
c=0
equation ebth.ls lhs=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+(c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhs)
ebth.results(2p)
scalar junk=ebth.@logl
results(26,7)=junk
delete junk
'
' The year is 2001 and the month is 6
'
smpl @all
genr t01=(date=15127)
genr t02=(date=15130)
genr t03=(date=15131)
genr t04=(date=15132)
genr t05=(date=15133)
genr t06=(date=15134)
genr t07=(date=15137)
genr t08=(date=15138)
genr t09=(date=15139)
genr t10=(date=15140)
genr t11=(date=15141)
genr t12=(date=15144)
genr t13=(date=15145)
genr t14=(date=15146)
genr t15=(date=15147)
genr t16=(date=15148)
genr t17=(date=15151)
genr t18=(date=15152)
genr t19=(date=15153)
genr t20=(date=15154)
genr t21=(date=15155)
smpl if (portn<10.5)and((year=2001)and(month=6))
c=0
equation e1st.ls lhs=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+rhs)
scalar junk=e1st.@logl
results(26,8)=junk
delete junk
smpl if (portn>10.5)and((year=2001)and(month=6))
c=0
equation e2nd.ls lhs=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhs)
scalar junk=e2nd.@logl
results(26,9)=junk
delete junk
smpl if (year=2001)and(month=6)
c=0
equation ebth.ls lhs=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+(c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhs)
ebth.results(2p)
scalar junk=ebth.@logl
results(26,10)=junk
delete junk
'
' The year is 2001 and the month is 7
'
smpl @all
genr t01=(date=15158)
genr t02=(date=15159)
genr t03=(date=15160)
genr t04=(date=15161)
genr t05=(date=15162)
genr t06=(date=15165)
genr t07=(date=15166)
genr t08=(date=15167)
genr t09=(date=15168)
genr t10=(date=15169)
genr t11=(date=15172)
genr t12=(date=15173)
genr t13=(date=15174)
genr t14=(date=15175)
genr t15=(date=15179)
genr t16=(date=15180)
genr t17=(date=15181)
genr t18=(date=15182)
genr t19=(date=15183)
genr t20=(date=15186)
genr t21=(date=15187)
smpl if (portn<10.5)and((year=2001)and(month=7))
c=0
equation e1st.ls lhs=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+rhs)
scalar junk=e1st.@logl
results(26,11)=junk
delete junk
smpl if (portn>10.5)and((year=2001)and(month=7))
c=0
equation e2nd.ls lhs=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhs)
scalar junk=e2nd.@logl
results(26,12)=junk
delete junk
smpl if (year=2001)and(month=7)
c=0
equation ebth.ls lhs=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+(c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhs)
ebth.results(2p)
scalar junk=ebth.@logl
results(26,13)=junk
delete junk
'
' The year is 2001 and the month is 8
'
' Note that we lose 1 observation (last of year)
'
smpl @all
genr t01=(date=15188)
genr t02=(date=15189)
genr t03=(date=15190)
genr t04=(date=15193)
genr t05=(date=15194)
genr t06=(date=15195)
genr t07=(date=15196)
genr t08=(date=15197)
genr t09=(date=15200)
genr t10=(date=15201)
genr t11=(date=15202)
genr t12=(date=15203)
genr t13=(date=15204)
genr t14=(date=15207)
genr t15=(date=15208)
genr t16=(date=15209)
genr t17=(date=15210)
genr t18=(date=15211)
genr t19=(date=15214)
genr t20=(date=15215)
genr t21=(date=15216)
genr t22=(date=15217)
smpl if (portn<10.5)and((year=2001)and(month=8))and(date<15217.5)
c=0
equation e1st.ls lhs=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+rhs)
scalar junk=e1st.@logl
results(26,14)=junk
delete junk
smpl if (portn>10.5)and((year=2001)and(month=8))and(date<15217.5)
c=0
equation e2nd.ls lhs=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22))*((c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhs)
scalar junk=e2nd.@logl
results(26,15)=junk
delete junk
smpl if (year=2001)and(month=8)and(date<15217.5)
c=0
equation ebth.ls lhs=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+(c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhs)
ebth.results(2p)
scalar junk=ebth.@logl
results(26,16)=junk
delete junk
'
' The year is 2002 and the month is 4
'
' Note that we lose 1 observation (first of year)
'
smpl @all
genr t02=(date=15432)
genr t03=(date=15433)
genr t04=(date=15434)
genr t05=(date=15435)
genr t06=(date=15438)
genr t07=(date=15439)
genr t08=(date=15440)
genr t09=(date=15441)
genr t10=(date=15442)
genr t11=(date=15445)
genr t12=(date=15446)
genr t13=(date=15447)
genr t14=(date=15448)
genr t15=(date=15449)
genr t16=(date=15452)
genr t17=(date=15453)
genr t18=(date=15454)
genr t19=(date=15455)
genr t20=(date=15456)
genr t21=(date=15460)
smpl if (portn<10.5)and((year=2002)and(month=4))
c=0
equation e1st.ls lhs=((c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+rhs)
scalar junk=e1st.@logl
results(27,2)=junk
delete junk
smpl if (portn>10.5)and((year=2002)and(month=4))
c=0
equation e2nd.ls lhs=((c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhs)
scalar junk=e2nd.@logl
results(27,3)=junk
delete junk
smpl if (year=2002)and(month=4)
c=0
equation ebth.ls lhs=((c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+(c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhs)
ebth.results(2p)
scalar junk=ebth.@logl
results(27,4)=junk
delete junk
'
' The year is 2002 and the month is 5
'
smpl @all
genr t01=(date=15461)
genr t02=(date=15462)
genr t03=(date=15467)
genr t04=(date=15468)
genr t05=(date=15469)
genr t06=(date=15470)
genr t07=(date=15473)
genr t08=(date=15474)
genr t09=(date=15475)
genr t10=(date=15476)
genr t11=(date=15477)
genr t12=(date=15480)
genr t13=(date=15481)
genr t14=(date=15482)
genr t15=(date=15483)
genr t16=(date=15484)
genr t17=(date=15487)
genr t18=(date=15488)
genr t19=(date=15489)
genr t20=(date=15490)
genr t21=(date=15491)
smpl if (portn<10.5)and((year=2002)and(month=5))
c=0
equation e1st.ls lhs=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+rhs)
scalar junk=e1st.@logl
results(27,5)=junk
delete junk
smpl if (portn>10.5)and((year=2002)and(month=5))
c=0
equation e2nd.ls lhs=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhs)
scalar junk=e2nd.@logl
results(27,6)=junk
delete junk
smpl if (year=2002)and(month=5)
c=0
equation ebth.ls lhs=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+(c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhs)
ebth.results(2p)
scalar junk=ebth.@logl
results(27,7)=junk
delete junk
'
' The year is 2002 and the month is 6
'
smpl @all
genr t01=(date=15494)
genr t02=(date=15495)
genr t03=(date=15496)
genr t04=(date=15497)
genr t05=(date=15498)
genr t06=(date=15501)
genr t07=(date=15502)
genr t08=(date=15503)
genr t09=(date=15504)
genr t10=(date=15505)
genr t11=(date=15508)
genr t12=(date=15509)
genr t13=(date=15510)
genr t14=(date=15511)
genr t15=(date=15512)
genr t16=(date=15515)
genr t17=(date=15516)
genr t18=(date=15517)
genr t19=(date=15518)
genr t20=(date=15519)
smpl if (portn<10.5)and((year=2002)and(month=6))
c=0
equation e1st.ls lhs=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+rhs)
scalar junk=e1st.@logl
results(27,8)=junk
delete junk
smpl if (portn>10.5)and((year=2002)and(month=6))
c=0
equation e2nd.ls lhs=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20))*((c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhs)
scalar junk=e2nd.@logl
results(27,9)=junk
delete junk
smpl if (year=2002)and(month=6)
c=0
equation ebth.ls lhs=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+(c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhs)
ebth.results(2p)
scalar junk=ebth.@logl
results(27,10)=junk
delete junk
'
' The year is 2002 and the month is 7
'
smpl @all
genr t01=(date=15522)
genr t02=(date=15523)
genr t03=(date=15524)
genr t04=(date=15525)
genr t05=(date=15526)
genr t06=(date=15529)
genr t07=(date=15530)
genr t08=(date=15531)
genr t09=(date=15532)
genr t10=(date=15533)
genr t11=(date=15536)
genr t12=(date=15537)
genr t13=(date=15538)
genr t14=(date=15539)
genr t15=(date=15540)
genr t16=(date=15543)
genr t17=(date=15544)
genr t18=(date=15545)
genr t19=(date=15546)
genr t20=(date=15547)
genr t21=(date=15550)
genr t22=(date=15551)
genr t23=(date=15552)
smpl if (portn<10.5)and((year=2002)and(month=7))
c=0
equation e1st.ls lhs=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+rhs)
scalar junk=e1st.@logl
results(27,11)=junk
delete junk
smpl if (portn>10.5)and((year=2002)and(month=7))
c=0
equation e2nd.ls lhs=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23))*((c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhs)
scalar junk=e2nd.@logl
results(27,12)=junk
delete junk
smpl if (year=2002)and(month=7)
c=0
equation ebth.ls lhs=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+(c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhs)
ebth.results(2p)
scalar junk=ebth.@logl
results(27,13)=junk
delete junk
'
' The year is 2002 and the month is 8
'
' Note that we lose 1 observation (last of year)
'
smpl @all
genr t01=(date=15553)
genr t02=(date=15554)
genr t03=(date=15557)
genr t04=(date=15558)
genr t05=(date=15559)
genr t06=(date=15560)
genr t07=(date=15561)
genr t08=(date=15564)
genr t09=(date=15565)
genr t10=(date=15566)
genr t11=(date=15567)
genr t12=(date=15568)
genr t13=(date=15571)
genr t14=(date=15572)
genr t15=(date=15573)
genr t16=(date=15574)
genr t17=(date=15575)
genr t18=(date=15578)
genr t19=(date=15579)
genr t20=(date=15580)
genr t21=(date=15581)
smpl if (portn<10.5)and((year=2002)and(month=8))and(date<15581.5)
c=0
equation e1st.ls lhs=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+rhs)
scalar junk=e1st.@logl
results(27,14)=junk
delete junk
smpl if (portn>10.5)and((year=2002)and(month=8))and(date<15581.5)
c=0
equation e2nd.ls lhs=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhs)
scalar junk=e2nd.@logl
results(27,15)=junk
delete junk
smpl if (year=2002)and(month=8)and(date<15581.5)
c=0
equation ebth.ls lhs=((c(01)*t01)+(c(02)*t02)+(c(03)*t03)+(c(04)*t04)+(c(05)*t05)+(c(06)*t06)+(c(07)*t07)+(c(08)*t08)+(c(09)*t09)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(401)*f01)+(c(402)*f02)+(c(403)*f03)+(c(404)*f04)+(c(405)*f05)+(c(406)*f06)+(c(407)*f07)+(c(408)*f08)+(c(409)*f09)+(c(410)*f10)+(c(411)*f11)+(c(412)*f12)+(c(413)*f13)+(c(414)*f14)+(c(415)*f15)+(c(416)*f16)+(c(417)*f17)+(c(418)*f18)+(c(419)*f19)+(c(420)*f20)+rhs)
ebth.results(2p)
scalar junk=ebth.@logl
results(27,16)=junk
delete junk

output off
